---
displayed_sidebar: jsClientSidebar
---

# Interface: CancelToken

[internal](../modules/internal.md).CancelToken

## Properties

### promise

• **promise**: `Promise`<[`Cancel`](internal.Cancel.md)\>

#### Defined in

medusa-js/node_modules/axios/index.d.ts:154

___

### reason

• `Optional` **reason**: [`Cancel`](internal.Cancel.md)

#### Defined in

medusa-js/node_modules/axios/index.d.ts:155

## Methods

### throwIfRequested

▸ **throwIfRequested**(): `void`

#### Returns

`void`

#### Defined in

medusa-js/node_modules/axios/index.d.ts:156
